
Redmine - Defect #8324

Cannot upload files since most recent Redmine update.

2011-05-09 16:29 - James Byrne

Status: Closed Start date: 2011-05-09

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

This problem may or may not be related to another difficulty that we discovered subsequent to the last update performed on April 6. 

We are unable to to upload files of any sort anywhere on the system.  The error we receive is this:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine administrator for assistance.

The issue is not logged.  In fact we have had no application logging since immediately prior to the update.

Our system is:

CentOS-5.6

ruby 1.8.7 (2010-08-16 patchlevel 302) [i686-linux]

passenger (3.0.2)

1. svn info

Path: .

URL: http://redmine.rubyforge.org/svn/trunk

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 5352

Node Kind: directory

Schedule: normal

Last Changed Author: tmaruyama

Last Changed Rev: 5352

Last Changed Date: 2011-04-06 06:50:24 -0400 (Wed, 06 Apr 2011)

History

#1 - 2011-05-09 16:55 - James Byrne

I just updated Redmine to the latest release on our hot spare and we are getting exactly the same problem.  File uploads fail with an internal error and

nothing at all is being logged to log/development.log.  There appear to be no other problems in evidence.

CentOS-5.6

ruby 1.8.7 (2010-08-16 patchlevel 302) [i686-linux]

passenger (3.0.2)

1. svn info

Path: .

URL: http://redmine.rubyforge.org/svn/trunk

Repository Root: http://redmine.rubyforge.org/svn

Repository UUID: e93f8b46-1217-0410-a6f0-8f06a7374b81

Revision: 5721

Node Kind: directory

Schedule: normal

Last Changed Author: tmaruyama

Last Changed Rev: 5721

Last Changed Date: 2011-05-09 07:12:48 -0400 (Mon, 09 May 2011)

#2 - 2011-05-09 17:28 - James Byrne

- Status changed from New to Resolved
- % Done changed from 0 to 100

This problem was the result of an ownership change on one or more files relating to the most recent updates.  Some files were observed to have

been given the owner root.  Reseting the ownership for the entire Redmine application directory tree to the local application user resolved the

problems with both file uploading and activity logging.

#3 - 2011-05-11 14:33 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
